@keyframes top-right-curve {
    from {
        opacity: 0;
        -webkit-border-top-right-radius: 0;
        -moz-border-radius-topright: 0;
        border-top-right-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-right-radius: 300px;
        -moz-border-radius-topright: 300px;
        border-top-right-radius: 300px;
    }
}

@keyframes top-left-curve {
    from {
        opacity: 0;
        -webkit-border-top-left-radius: 0;
        -moz-border-radius-topleft: 0;
        border-top-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-left-radius: 300px;
        -moz-border-radius-topleft: 300px;
        border-top-left-radius: 300px;
    }
}

@keyframes bottom-left-curve {
    from {
        opacity: 0;
        -webkit-border-bottom-left-radius: 0;
        -moz-border-radius-bottomleft: 0;
        border-bottom-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-bottom-left-radius: 300px;
        -moz-border-radius-bottomleft: 300px;
        border-bottom-left-radius: 300px;
    }
}

body {
    display: block;
}

main {
    display: block;
    margin: 24pt 12pt;
    padding: 0 12pt;
}

/* Main structure */
.container-main {
    /* Layout */
    display: block;
    position: relative;

    /* Spacing */
    padding: 24pt 18pt 36pt 18pt;

    /* Borders */
    border-top: 1pt solid var(--color-main-dark);
    border-right: 1pt solid var(--color-main-dark);
    /* border-left: 1pt solid var(--color-main-dark); */

    /* Border Radius */
    animation: top-right-curve 1.25s ease forwards;
}

.container-main-title {
    font-size: var(--fs-label);
    text-transform: uppercase;
    position: absolute;
    top: -14pt;
    left: 12pt;
    background-color: var(--color-main-light);
    padding: 0 4pt;
    /* background-color: red; */
}

article {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: auto;
    /* background-color: red; */
    /* left: 12pt; */
}

/* Micro-typogrpahy */
.article-title {
    font-size: var(--fs-label);
    text-transform: uppercase;
    position: absolute;
    top: -0.7em;
    background-color: var(--color-main-light);
}

article:nth-of-type(1) p {
    position: relative;
    margin: 72pt 48pt -18pt 36pt;
    grid-column: 3 / 7;
    font-size: var(--fs-lead);
    font-weight: normal;
    color: var(--color-main-dark);
    text-transform: uppercase;
}

article p {
    position: relative;
    margin: 0 36pt;
    padding: 18pt 0;
    grid-column: 3 / 6;
    font-size: var(--fs-body);
    font-weight: normal;
    color: var(--color-main-dark);
}

article img {
    position: relative;
    margin: 0 36pt;
    padding: 18pt 0;
    grid-column: 3 / 6;
    max-width: 100%;
}

/* Decorative Structural Elements */
.about-container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    /* margin-bottom: 60pt; */
    grid-template-rows: auto;
}

.about-container:nth-of-type(1) .about-line {
    height: 240pt;
    grid-column: 1 / 3;
    border-left: 1pt solid var(--color-main-dark);
    border-top: 1pt solid var(--color-main-dark);

    animation: top-left-curve 1.25s ease forwards;
}

.about-container:nth-of-type(2) .about-line {
    height: 240pt;
    grid-column: 1 / 3;
    border-left: 1pt solid var(--color-main-dark);
    border-top: 1pt solid var(--color-main-dark);

    animation: top-left-curve 1.25s ease forwards;
}

.about-container:nth-of-type(3) .about-line {
    height: 240pt;
    grid-column: 1 / 3;
    border-left: 1pt solid var(--color-main-dark);
    border-top: 1pt solid var(--color-main-dark);

    animation: top-left-curve 1.25s ease forwards;
}

article:nth-of-type(odd) .about-line {
    grid-column: 1 / 3;
    grid-row: 1 / span 999;
    border-left: 1pt solid var(--color-main-dark);
    border-bottom: 1pt solid var(--color-main-dark);

    animation: bottom-left-curve 1.25s ease forwards;
}

article:nth-of-type(even) .about-line {
    grid-column: 1 / 3;
    grid-row: 1 / span 999;
    border-right: 1pt solid var(--color-main-dark);
    border-top: 1pt solid var(--color-main-dark);

    animation: top-right-curve 1.25s ease forwards;
}

@media screen and (min-width: 375px) and (max-width: 768px) {
    main {
        margin: 24pt auto;
        padding: 0 9pt;
    }

    article {
        display: block;
        border: 0;
    }

    .container-main {
        padding: 0 12pt;
        animation: none;
        border-right: 0;
        /* border-left: 1pt solid var(--color-main-dark); */
    }

    .container-main-title {
        left: 0;
        margin-left: 50%;
        transform: translateX(-50%);
    }

    article img {
        margin: 24pt 0;
        padding: 0 18pt 24pt 18pt;
        box-sizing: border-box;
        grid-column: auto;
        max-width: 100%;
    }

    /* Micro-typogrpahy */
    article:nth-of-type(1) p {
        font-size: var(--fs-label);
        padding: 36pt 6pt 36pt 6pt;
        margin: 36pt 0 36pt 0;
        text-align: center;
    }

    /* Decorative Structural Elements */
    .about-container {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        /* margin-bottom: 60pt; */
        grid-template-rows: auto;
    }

    .about-container>.about-line {
        height: 240pt;
        grid-column: 1 / 7 !important;
        border-left: 1pt solid var(--color-main-dark);
        border-top: 1pt solid var(--color-main-dark);
        margin-left: -1pt;

        animation: top-left-curve 1.25s ease forwards;
    }

    article .about-line {
        display: none;
    }
}